import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The world class draws the background by checking the background variable
 */
public class myWorld  extends World
{
    public static int background = 0;

    public myWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(700, 630, 1); 

        prepare();
    }

    public void drawBack()
    {
        if (background==0)
        {
            setBackground("commandCenter.jpg");
        }
        if (background==1)
        {
            setBackground("hanger.gif");
        }
        if (background==2)
        {
            setBackground("medbay.gif");
        }
    }

    public void act()
    {
        drawBack();
        setPaintOrder(button1.class, button2.class, button3.class, button4.class, Textbox.class);
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        control control = new control();
        addObject(control, 55, 464);
        button1 button1 = new button1();
        addObject(button1, 55, 464);
        button2 button2 = new button2();
        addObject(button2, 55, 508);
        button3 button3 = new button3();
        addObject(button3, 55, 552);
        button4 button4 = new button4();
        addObject(button4, 55, 596);
        Reset reset = new Reset();
        addObject(reset, 670, 35);
    }
}
