import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is an object which keeps track of multiple variables, including where the story is, which
 * characters to display, and which background to draw.
 */
public class control  extends Actor
{
    public static int char1 = 0;//determines which character will be shown
    public static int background = 0;//determines which background will be shown
    public String[][] story = new String[225] [10];//array keeps story and who is speaking
    public static int storyPlace = 0;//where the user is in the story
    
    public void act() 
    {
        do{
            setArray();
        }while (char1 == 6);//sets the story in the array
        if (storyPlace == 185)
            background = 0;
        else if (storyPlace == 32)
            background = 1;
        else if (storyPlace == 50)
            background = 2;
        myWorld.background=background;//sends correct background to world
        drawChars();//displays correct character
        getWorld().removeObjects(getWorld().getObjects(Textbox.class));//removes previous textbox
        drawStory();//creates current textbox
    }
    
    public void drawChars()
    {
        if(story[storyPlace][1]== "C.M.O. Clymk")
        {
            char1=0;
        }
        else if(story[storyPlace][1]== "Major Tom")
        {
            char1=1;
        }
        else if(story[storyPlace][1]== "F.C. Jason")
        {
            char1=2;
        }
        else if(story[storyPlace][1]== "E.O. Weaver")
        {
            char1=3;
        }
        else if(story[storyPlace][1]== "Creature")
        {
            char1=4;
        }
        else if(story[storyPlace][1]== "")
        {
            char1=5;
        }
        else if(story[storyPlace][1]== "You")
        {
            char1=5;
        }
        getWorld().removeObjects(getWorld().getObjects(Clymk.class));
        getWorld().removeObjects(getWorld().getObjects(MajorTom.class));
        getWorld().removeObjects(getWorld().getObjects(Jason.class));
        getWorld().removeObjects(getWorld().getObjects(Weaver.class));
        getWorld().removeObjects(getWorld().getObjects(Creature.class));
        
        if(char1 == 0)
        {
            Clymk clymk = new Clymk();
            getWorld().addObject(clymk, 352, 347);
        }
        else if(char1 == 1)
        {
            MajorTom majorTom = new MajorTom();
            getWorld().addObject(majorTom, 352, 347);
        }
        else if(char1 == 2)
        {
            Jason jason = new Jason();
            getWorld().addObject(jason, 352, 347);
        }
        else if(char1 == 3)
        {
            Weaver weaver = new Weaver();
            getWorld().addObject(weaver, 352, 347);
        }
        else if(char1 == 4)
        {
            Creature creature = new Creature();
            getWorld().addObject(creature, 352, 247);
        }
    }
    
    public void drawStory()
    {
        Textbox textbox = new Textbox(story[storyPlace][0], story[storyPlace][1]);
        getWorld().addObject(textbox, 402, 555);
        
    }
    
    public void setArray()//sets the dialouge and story into the array
    {
        story[0][0] = "You are captain of the Millenium Eagle, a starship of the United Earth Military.";
        story[0][1] = "";
        story[1][0] = "Your crew, the \"Redshirts\" are some of the most respected in the Military.";
        story[1][1] = "";
        story[2][0] = "The year is 2013.";
        story[2][1] = "";
        story[3][0] = "Sir, we've got something on radar. Looks like a ship.";
        story[3][1] = "Major Tom";
        story[4][0] = "How fast is it moving?";
        story[4][1] = "You";
        story[5][0] = "It isn't. It's just sitting there.";
        story[5][1] = "Major Tom";
        story[6][0] = "Alright, looks like I have two choices.";
        story[6][1] = "You";
        story[7][0] = "Blue Button: Scan the ship.";
        story[7][1] = "";
        story[8][0] = "Red Button: Set up Com Link with the ship.";
        story[8][1] = "";
        story[9][0] = "Make your choice now.";
        story[9][1] = "";
        story[10][0] = "Scans do not show any major life signs. What should we do Captain?";
        story[10][1] = "Major Tom";
        story[11][0] = "Blue Button: Tow the ship";
        story[11][1] = "";
        story[12][0] = "Red Button: Board the ship";
        story[12][1] = "";
        story[13][0] = "Make your choice now.";
        story[13][1] = "";
        story[14][0] = "....No response.";
        story[14][1] = "Major Tom";
        story[15][0] = "Maybe their communication system is down.";
        story[15][1] = "You";
        story[16][0] = "Maybe. Orders Captain?";
        story[16][1] = "Major Tom";
        story[17][0] = "Blue Button: Tow the ship";
        story[17][1] = "";
        story[18][0] = "Red Button: Board the ship";
        story[18][1] = "";
        story[19][0] = "Make your choice now.";
        story[19][1] = "";
        story[20][0] = "You launch a gravity tether to the ship. It attaches to the hull.";
        story[20][1] = "";
        story[21][0] = "Engines to half power. Easy with her, men.";
        story[21][1] = "You";
        story[22][0] = "The ship jerks suddenly.";
        story[22][1] = "";
        story[23][0] = "Sir, the gravity tether dammaged the other ship's hull. The warp core has been ruptured.";
        story[23][1] = "Major Tom";
        story[24][0] = "We need to get out of here!";
        story[24][1] = "Major Tom";
        story[25][0] = "You deactivate the gravity tether, but the other ship exploades.";
        story[25][1] = "";
        story[26][0] = "Your ship disintegrates. You die.";
        story[26][1] = "Game Over";
        
        story[27][0] = "Alright, I need the Chief Medical Officer, the engineering officer, the first officer, and Major Tom.";
        story[27][1] = "You";
        story[28][0] = "Sir!";
        story[28][1] = "Major Tom";
        story[29][0] = "Yes sir.";
        story[29][1] = "C.M.O. Clymk";
        story[30][0] = "Aye aye!";
        story[30][1] = "F.C. Jason";
        story[31][0] = "Yes sir.";
        story[31][1] = "E.O. Weaver";
        
        story[32][0] = "You arrive in the hanger bay via shuttle. The Chief Medical Officer notices something.";
        story[32][1] = "";
        story[33][0] = "Sir, look. A man, he seems to be sleeping.";
        story[33][1] = "C.M.O. Clymk";
        story[34][0] = "Clymk attempts to rouse the unconcious crew member for several moments.";
        story[34][1] = "";
        story[35][0] = "He's dead.";
        story[35][1] = "C.M.O. Clymk";
        story[36][0] = "Cause?";
        story[36][1] = "You";
        story[37][0] = "I don't know. There are no obvious signs of trauma.";
        story[37][1] = "C.M.O. Clymk";
        story[38][0] = "The med bay may have more information on what killed him.";
        story[38][1] = "C.M.O. Clymk";
        story[39][0] = "Maybe it's an infection. Could it be airborne?";
        story[39][1] = "You";
        story[40][0] = "Clymk pulls out a handheld scanner.";
        story[40][1] = "";
        story[41][0] = "I'm not picking up any signs of a virus.";
        story[41][1] = "C.M.O. Clymk";
        story[42][0] = "Sir, this ship is running on back up power. It's only a matter of time until life support fails.";
        story[42][1] = "E.O. Weaver";
        story[43][0] = "I need to get to the engineering bay to restart main power.";
        story[43][1] = "E.O. Weaver";
        story[44][0] = "Sir, our scans didn't penetrate the crew deck, allow me to search for survivors.";
        story[44][1] = "F.C. Jason";
        story[45][0] = "Who will you go with?";
        story[45][1] = "";
        story[46][0] = "Blue Button: C.M.O. Clymk";
        story[46][1] = "";
        story[47][0] = "Red Button: E.O. Weaver";
        story[47][1] = "";
        story[48][0] = "Yellow Button: F.C. Jason";
        story[48][1] = "";
        story[49][0] = "Make your choice now.";
        story[49][1] = "";
        
        //Med bay
        story[50][0] = "You go with Clymk and Major Tom to the Med Bay.";
        story[50][1] = "";
        story[51][0] = "Several crew members sit in the main office.";
        story[51][1] = "";
        story[52][0] = "They're all dead.";
        story[52][1] = "C.M.O. Clymk";
        story[53][0] = "Start up the computer system, see if there's any information.";
        story[53][1] = "You";
        story[54][0] = "I'll check the exam rooms.";
        story[54][1] = "Major Tom";
        story[55][0] = "Suddenly, a heavy door slams down on the med bay access door.";
        story[55][1] = "";
        story[56][0] = "Quarentine in effect";
        story[56][1] = "intercom";
        story[57][0] = "Weaver must have tripped the quarentine while restoring power.";
        story[57][1] = "C.M.O. Clymk";
        story[58][0] = "Can you turn it off?";
        story[58][1] = "You";
        story[59][0] = "Well, this terminal is our best bet, but it's dangerous without the ship's C.M.O.";
        story[59][1] = "C.M.O. Clymk";
        story[60][0] = "Steralization beginning. Please keep away from the Medical Bay.";
        story[60][1] = "intercom";
        story[61][0] = "Oh no!";
        story[61][1] = "C.M.O. Clymk";
        story[62][0] = "Begining Steralization of exam rooms.";
        story[62][1] = "Intercom";
        story[63][0] = "Tom! Get out of there!";
        story[63][1] = "You";
        story[64][0] = "The warning is too late. A quick scream comes from the exam rooms before cutting off.";
        story[64][1] = "";
        story[65][0] = "You try to get close, but the heat is too intense.";
        story[65][1] = "";
        story[66][0] = "Blue Button: Disable the med bay's computer terminal.";
        story[66][1] = "";
        story[67][0] = "Red Button: Hack the med bay's computer terminal.";
        story[67][1] = "";
        story[68][0] = "Yellow Button: Cut the door with your ray gun.";
        story[68][1] = "";
        story[69][0] = "Green Button: Call Engineer Weaver and get her to shut down power.";
        story[69][1] = "";
        story[70][0] = "Make your choice now.";
        story[70][1] = "";
        
        story[71][0] = "You pull out your ray gun and fire a long blast onto the med bay computer terminal.";
        story[71][1] = "";
        story[72][0] = "WHAT ARE YOU DOING?!";
        story[72][1] = "C.M.O. Clymk";
        story[73][0] = "The Computer melts. The intercom blares a warning.";
        story[73][1] = "";
        story[74][0] = "Begining main office steralization.";
        story[74][1] = "Intercom";
        story[75][0] = "You feel your body turn to ash.";
        story[75][1] = "Game Over";
        
        story[76][0] = "You frantically push the buttons on the computer, using your military ID to override security.";
        story[76][1] = "";
        story[77][0] = "...";
        story[77][1] = "";
        story[78][0] = "......";
        story[78][1] = "";
        story[79][0] = ".........";
        story[79][1] = "";
        story[80][0] = "Quarentine lifted.";
        story[80][1] = "Intercom";
        story[81][0] = "Clymk, can you look at the medical records and tell what killed these people?";
        story[81][1] = "You";
        story[82][0] = "Yes sir.";
        story[82][1] = "C.M.O. Clymk";
        story[83][0] = "It looks like the doctors couldn't find a cause of death. They took some test results to the bridge.";
        story[83][1] = "C.M.O. Clymk";
        story[84][0] = "They wanted to send them to a research center.";
        story[84][1] = "C.M.O. Clymk";
        story[85][0] = "Then to the Bridge?";
        story[85][1] = "You";
        story[86][0] = "It seems like that is the best idea.";
        story[86][1] = "C.M.O. Clymk";
        
        story[87][0] = "You set your ray gun to it's maximum setting and begin firing at the door.";
        story[87][1] = "";
        story[88][0] = "The laser cuts through the steel bars slowly.";
        story[88][1] = "";
        story[89][0] = "Hurry Captain, every second counts.";
        story[89][1] = "C.M.O. Clymk";
        story[90][0] = "Finaly a small section of the door falls in.";
        story[90][1] = "";
        story[91][0] = "Let's get out of here!";
        story[91][1] = "You.";
        story[92][0] = "Containment breach.";
        story[92][1] = "Intercom";
        story[93][0] = "Another door closes behind the first.";
        story[93][1] = "";
        story[94][0] = "Begining main office steralization.";
        story[94][1] = "Intercom";
        story[95][0] = "You feel your body turn to ash.";
        story[95][1] = "Game Over";
        
        story[96][0] = "You pull out your handheld com link.";
        story[96][1] = "";
        story[97][0] = "Engineering Officer Weaver, come in.";
        story[97][1] = "You";
        story[98][0] = "A garbled voice answers";
        story[98][1] = "";
        story[99][0] = "Repeat that again, Weaver.";
        story[99][1] = "You";
        story[100][0] = "You hear nothing but static.";
        story[100][1] = "";
        story[101][0] = "I need you to switch to back up power. Clymk and I are about to be fried.";
        story[101][1] = "You";
        story[102][0] = "There is no response.";
        story[102][1] = "";
        story[103][0] = "Begining main office steralization.";
        story[103][1] = "Intercom";
        story[104][0] = "You feel your body turn to ash.";
        story[104][1] = "Game Over";
        
        //Crew deck
        story[105][0] = "You, Major Tom, and First Officer Jason Strong make your way to the crew deck.";
        story[105][1] = "";
        story[106][0] = "Along the way you find more dead bodies.";
        story[106][1] = "";
        story[107][0] = "This is bad.";
        story[107][1] = "You";
        story[108][0] = "Maybe Clymk will find the cause.";
        story[108][1] = "F.C. Jason";
        story[109][0] = "Sir, I think I found something odd.";
        story[109][1] = "Major Tom";
        story[110][0] = "The call comes from the other room. You enter to see some kind of cage. The door has been torn off.";
        story[110][1] = "";
        story[111][0] = "Be on alert. Something's loose on this ship.";
        story[111][1] = "You";
        story[112][0] = "Unless it's been killed like the rest of the crew";
        story[112][1] = "F.C. Jason";
        story[113][0] = "Don't count on it.";
        story[113][1] = "You";
        story[114][0] = "Come on Captain, everyone else is dead. I doubt whatever this cage held fared better.";
        story[114][1] = "Major Tom";
        story[115][0] = "A large shape drops onto Major Tom from above. He doesn't even have time to scream.";
        story[115][1] = "";
        story[116][0] = "Grrrurrgurrrr haaaagrrrrruuuuu";
        story[116][1] = "Creature";
        story[117][0] = "Blue Button: Shoot the creature with your ray gun.";
        story[117][1] = "";
        story[118][0] = "Red Button: Run for your lives!";
        story[118][1] = "";
        story[119][0] = "Make your choice now.";
        story[119][1] = "";
        
        story[120][0] = "The creature rushes you. You pull out your gun, but the beam hardly seems to faze it.";
        story[120][1] = "";
        story[121][0] = "GRAWWWWW!!!!";
        story[121][1] = "Creature";
        story[122][0] = "The creature reaches you and tears you to pieces. It's painful, but at least the creature is happy with the meal.";
        story[122][1] = "Game Over";
        
        story[123][0] = "RUN!";
        story[123][1] = "You";
        story[124][0] = "You and Officer Strong dive out the door and take off down the hall.";
        story[124][1] = "";
        story[125][0] = "GRAWWWW!!!!";
        story[125][1] = "Creature";
        story[126][0] = "The creature chases you.";
        story[126][1] = "";
        story[127][0] = "You come to the end of the hall.";
        story[127][1] = "";
        story[128][0] = "There is a door labeled storage,";
        story[128][1] = "";
        story[129][0] = "A blast door, and an open maintenence vent on the floor in front of the blast door.";
        story[129][1] = "";
        story[130][0] = "Blue Button: Storage";
        story[130][1] = "";
        story[131][0] = "Red Button: Blast door";
        story[131][1] = "";
        story[132][0] = "Yellow Button: Vent";
        story[132][1] = "";
        story[133][0] = "Make your choice now.";
        story[133][1] = "";
        
        story[134][0] = "You run into the storage room. There are no other exits. The creature follows you into the room.";
        story[134][1] = "";
        story[135][0] = "Sir, we need to get out of here.";
        story[135][1] = "F.C. Jason";
        story[136][0] = "The good news is that Officer Strong escapes. The bad news is the creature is distracted chewing on you.";
        story[136][1] = "Game Over";
        
        story[137][0] = "You jump the vent to get to the blast door, but your foot misses the edge. You stumble and fall.";
        story[137][1] = "";
        story[138][0] = "The creature is on you in a moment. You reach for your ray gun, but it's too late.";
        story[138][1] = "Game Over";
        
        story[139][0] = "You jump into the access vent feet first. First Officer Jason Strong follows behind you.";
        story[139][1] = "";
        story[140][0] = "It looks like the creature is too big to get in!";
        story[140][1] = "F.C. Jason";
        story[141][0] = "Graw-aw-urr";
        story[141][1] = "Creature";
        story[142][0] = "We need to get to the bridge. It should have reinforced doors that can keep that thing out.";
        story[142][1] = "You";
        
        //Enginineering Bay
        story[143][0] = "You go with Major Tom and Engineering Officer Weaver to restart the power.";
        story[143][1] = "";
        story[144][0] = "Dead bodies are strewn about the halls.";
        story[144][1] = "";
        story[145][0] = "What do you think happened?";
        story[145][1] = "E.O. Weaver";
        story[146][0] = "Some kind of infection or medical accident. But hopefully it's died out by now. Clymk didn't get any readings.";
        story[146][1] = "You";
        story[147][0] = "Here we are. It looks like the ship is powered by an old fashioned nuclear reactor, the kind they used in 2012.";
        story[147][1] = "E.O. Weaver";
        story[148][0] = "Can you start it?";
        story[148][1] = "You";
        story[149][0] = "Yes, but it might be dangerous. Do you want full power or half power?";
        story[149][1] = "E.O. Weaver";
        story[150][0] = "Blue Button: Full";
        story[150][1] = "";
        story[151][0] = "Red Button: Half";
        story[151][1] = "";
        story[152][0] = "Make your choice now.";
        story[152][1] = "";
        
        story[153][0] = "Full Power, if you please.";
        story[153][1] = "You";
        story[154][0] = "Aye sir.";
        story[154][1] = "E.O. Weaver";
        story[155][0] = "She begins flipping switches. Everything seems to be going well.";
        story[155][1] = "";
        story[156][0] = "Uh oh.";
        story[156][1] = "E.O. Weaver";
        story[157][0] = "What is it?";
        story[157][1] = "You";
        story[158][0] = "She turns to answer, but is inturrupted by a huge nuclear explosion.";
        story[158][1] = "Game Over";
        
        story[159][0] = "Half power if you please.";
        story[159][1] = "You";
        story[160][0] = "Aye sir.";
        story[160][1] = "E.O. Weaver";
        story[161][0] = "She begins flipping switches. The lights brighten.";
        story[161][1] = "";
        story[162][0] = "Back to main power sir.";
        story[162][1] = "E.O. Weaver";
        story[163][0] = "Suddenly Weaver's handheld com link beeps. A Static garbled voice comes through.";
        story[163][1] = "";
        story[164][0] = "Sir, I think it's Clymk.";
        story[164][1] = "Major Tom";
        story[165][0] = "After a moment the signal fades. Weaver tries to make contact, but there is no reply.";
        story[165][1] = "";
        story[166][0] = "I think this reactor is messing with our signals. He sounded like he was in trouble.";
        story[166][1] = "E.O. Weaver";
        story[167][0] = "He can take care of himself. We need to get to the bridge and find out what's happening.";
        story[167][1] = "You";
        story[168][0] = "Do you go to help Clymk, or go to the bridge.";
        story[168][1] = "";
        story[169][0] = "Blue Button: Go to Bridge";
        story[169][1] = "";
        story[170][0] = "Red Button: Help Clymk.";
        story[170][1] = "";
        story[211][0] = "make your choice now.";
        story[211][1] = "";
        
        story[171][0] = "You find the med bay badly damaged by flames. All of the surfaces are scortched black.";
        story[171][1] = "";
        story[172][0] = "Sir, it's Clymk. Or, what's rest of him.";
        story[172][1] = "E.O. Weaver";
        story[173][0] = "A door closes, trapping you inside.";
        story[173][1] = "";
        story[174][0] = "Begining steralization.";
        story[174][1] = "Intercom";
        story[175][0] = "You barely have time to feel pain before you pass out from it.";
        story[175][1] = "Game Over";
        
        story[176][0] = "You leave the engineering bay, and hear a strange noise.";
        story[176][1] = "";
        story[177][0] = "What is that?";
        story[177][1] = "Major Tom";
        story[178][0] = "A large creature drops from the roof onto Major Tom, killing him instantly.";
        story[178][1] = "";
        story[179][0] = "Blue Button: Run for your life.";
        story[179][1] = "";
        story[180][0] = "Red Button: Take the creature's claws to the gut, roll on the ground, and die.";
        story[180][1] = "";
        story[212][0] = "make your choice now.";
        story[212][1] = "";
        
        story[181][0] = "Dumbass";
        story[181][1] = "Game Over";
        
        story[182][0] = "You run from the creature, which stays behind with it's prey.";
        story[182][1] = "";
        story[183][0] = "What was that?";
        story[183][1] = "E.O. Weaver";
        story[184][0] = "No idea, just run.";
        story[184][1] = "You.";
        
        //Bridge
        story[185][0] = "You arrive at the bridge. The captain sits at the helm, dead.";
        story[185][1] = "";
        story[186][0] = "Most of your crewmembers are already there.";
        story[186][1] = "";
        story[187][0] = "Mr. Strong, get on the com link and contact the Eagle. Weaver, search the ships archieves.";
        story[187][1] = "You";
        story[188][0] = "Jason Strong to the Millenium Eagle. Come in, come in.";
        story[188][1] = "F.C. Jason";
        story[189][0] = "Be prepared to recieve a transmission from this ship, we're beaming over the archives.";
        story[189][1] = "F.C. Jason";
        story[190][0] = "Sir, this ship came across a planet with intelligent life. It picked up some samples. Animals and food.";
        story[190][1] = "E.O. Weaver";
        story[191][0] = "It must have been the food. Maybe it was poison to humans.";
        story[191][1] = "You";
        story[192][0] = "Beam the info back to the ship.";
        story[192][1] = "You";
        story[193][0] = "The ship begins to shake.";
        story[193][1] = "";
        story[194][0] = "What is that?";
        story[194][1] = "You";
        story[195][0] = "Sir, it's a self destruct mechanism.";
        story[195][1] = "F.C. Jason";
        story[196][0] = "Blue Button: Try to control the blast.";
        story[196][1] = "";
        story[197][0] = "Red Button: Use the escape pod.";
        story[197][1] = "";
        story[198][0] = "Yellow Button: Get back to your shuttle.";
        story[198][1] = "";
        story[213][0] = "make your choice now.";
        story[213][1] = "";
        
        story[199][0] = "You try to hack the computer, but the security is too high a level.";
        story[199][1] = "";
        story[200][0] = "The ship shakes apart and the crew is lost to space.";
        story[200][1] = "Game Over";
        
        story[201][0] = "You run through the ship to where your shuttle is.";
        story[201][1] = "";
        story[202][0] = "A sudden shockwave knocks the crew to the ground.";
        story[202][1] = "";
        story[203][0] = "You try to pull them back up, but it's too late. The ship disentegrates under your feet.";
        story[203][1] = "Game Over";
        
        story[204][0] = "The crew makes it to the escape pods and blast off. The Millenium Eagle retrieves the pods from space.";
        story[204][1] = "";
        story[205][0] = "You make your way to the helm.";
        story[206][1] = "";
        story[207][0] = "Did the archives get here alright?";
        story[207][1] = "You";
        story[208][0] = "Yes sir.";
        story[208][1] = "F.C. Jason";
        story[209][0] = "Set a course for the planet they found. I want some answers.";
        story[209][1] = "You";
        story[210][0] = "Tou be continued.";
        story[210][1] = "";
    }
}

